package Package1;


import java.io.File;
import java.io.IOException;
import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import org.w3c.dom.NodeList;
import org.xml.sax.SAXException;

public class FirstDOMParsing {

    public static void main(String[] args) {
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setValidating(false);
        factory.setIgnoringElementContentWhitespace(true);
        try {
            DocumentBuilder builder = factory.newDocumentBuilder();
            File file = new File("gounod_ave_maria.xml");
            Document doc = builder.parse(file);

            // Nome del nodo radice
            String output = doc.getDocumentElement().getNodeName();
            System.out.println("Nome del nodo radice: " + output);

            // Testo contenuto nel nodo main_title
            NodeList listTitle = doc.getElementsByTagName("main_title"); // restituisce una NodeList, cioè un elenco di nodi
            if (listTitle.item(0) != null) {
                output = listTitle.item(0).getTextContent();
                System.out.println("Contenuto nel nodo " + listTitle.item(0).getNodeName() + ": " + output);
            }

            // Autori
            NodeList listAuthors = doc.getElementsByTagName("author");
            System.out.println("Elenco degli autori (tra parentesi il ruolo):");
            for (int i = 0; i < listAuthors.getLength(); i++) {
                // Prima possibilità (considera quello corrente come un generico nodo)
                /*
               String name = listAuthors.item(i).getTextContent();
               String role = listAuthors.item(i).getAttributes().getNamedItem("type").getTextContent();
                 */

                // Alternativa (considera quello corrente come un elemento (cioè un nodo più specifico)
                Element e = (Element) (listAuthors.item(i));
                String name = e.getTextContent();
                String role = e.getAttribute("type");
                System.out.println("- " + name + " (" + role + ")");
            }
        } catch (ParserConfigurationException | SAXException | IOException e) {
            System.out.println("Errore nell'elaborazione del file");
            System.exit(1);
        }

    }

}
