package Package1;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class NotesButtons2 extends JFrame implements ActionListener {

    JLabel labelNotes;
    JButton buttonReset;
    JComboBox<Note> comboBoxNotes;

    public enum Note {
        C, Db, D, Eb, E, F, Gb, G, Ab, A, Bb, B
    };
    
    public class NoteButton extends JButton {
        Note note;
        
        public NoteButton(Note n) {
            super(n.toString());
            note = n;
        }
    }

    public NotesButtons2() {
        super("NotesButtons");
        setSize(480, 200);
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        setLayout(new FlowLayout());
        
        for (Note n : Note.values()) {
            NoteButton button = new NoteButton(n);
            add(button);
            button.addActionListener(new ActionListener() {
                @Override
                public void actionPerformed(ActionEvent e) {
                    noteSelected(e);
                }
            });
        }
        buttonReset = new JButton("Reset");
        buttonReset.addActionListener(this);
        labelNotes = new JLabel();
        labelNotes.setFont(new Font("Arial", Font.BOLD, 18));
        comboBoxNotes = new JComboBox<>();
        add(labelNotes);
        add(buttonReset);
        JCheckBox checkBoxEnableReset = new JCheckBox("Abilita reset", true);
        checkBoxEnableReset.addItemListener(new ItemListener() {
            @Override
            public void itemStateChanged(ItemEvent e) {
                buttonReset.setEnabled(e.getStateChange() == ItemEvent.SELECTED);
            }
        });
        add(checkBoxEnableReset);
        add(comboBoxNotes);
        JButton buttonRemoveNote = new JButton("Rimuovi nota selezionata");
        buttonRemoveNote.addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                int selectedIndex = comboBoxNotes.getSelectedIndex();
                if (selectedIndex > -1)
                    comboBoxNotes.removeItemAt(selectedIndex);
                refreshLabel();
            }
        });
        add(buttonRemoveNote);
    }

    public static void main(String[] args) {
        NotesButtons2 frame = new NotesButtons2();
        frame.setVisible(true);
    }

    private void noteSelected(ActionEvent e) {
        Object o = e.getSource();
        NoteButton b = (NoteButton)o;
        comboBoxNotes.addItem(b.note);
        refreshLabel();
    }
    
    private void refreshLabel() {
        String s = "";
        for (int i = 0; i < comboBoxNotes.getItemCount(); i++)
            s += comboBoxNotes.getItemAt(i).toString() + " ";
        labelNotes.setText(s);
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        if (e.getSource() == buttonReset) {
            comboBoxNotes.removeAllItems();
            refreshLabel();
        }
    }
}
